Get Changeset Status by JSON Report
post
/pdc/changeset/status/from-json
Returns the status of a changeset from an uploaded JSON report.
Request
There are no request parameters for this operation.
Supported Media Types
- application/json
Root Schema : schema
Type:
objectContainer for a changeset status report.
Show Source
-
changeSetStatusReport: object
ChangeSetStatusReport
Report containing changeset status details and warnings.
Nested Schema : ChangeSetStatusReport
Type:
objectReport containing changeset status details and warnings.
Show Source
-
changeSets: array
changeSets
Lists the changesets that PDC found and processed.
-
warning: string
Describes requested changesets that were invalid or not found.
Nested Schema : changeSets
Type:
arrayLists the changesets that PDC found and processed.
Show Source
-
Array of:
object ChangeSet
Status information for a single changeset.
Nested Schema : ChangeSet
Type:
objectStatus information for a single changeset.
Show Source
-
changeSetId: string
Identifies the changeset uniquely.Example:
3810 -
changeSetName: string
Specifies the changeset name.Example:
MIGRATION_CHANGESET_SYNC_EVENT -
changeSetStatus: string
Reports the changeset’s overall processing status.Example:
PENDING -
transformations: array
transformations
Provides status details for each transformation that PDC performed for the changeset.
Nested Schema : transformations
Type:
arrayProvides status details for each transformation that PDC performed for the changeset.
Show Source
-
Array of:
object Transformation
Status information for a changeset transformation job.
Nested Schema : Transformation
Type:
objectStatus information for a changeset transformation job.
Show Source
-
jobId: integer
Identifies the transformation job.Example:
14233 -
jobStatus: string
Reports the transformation job’s current status.Example:
DISPATCHED -
type: string
Specifies the target system or transformation type, such as ECE, BRE, or RRE.Example:
ECE
Response
Supported Media Types
- application/json
200 Response
The request was processed successfully.
Root Schema : schema
Type:
objectContainer for a changeset status report.
Show Source
-
changeSetStatusReport: object
ChangeSetStatusReport
Report containing changeset status details and warnings.
Nested Schema : ChangeSetStatusReport
Type:
objectReport containing changeset status details and warnings.
Show Source
-
changeSets: array
changeSets
Lists the changesets that PDC found and processed.
-
warning: string
Describes requested changesets that were invalid or not found.
Nested Schema : changeSets
Type:
arrayLists the changesets that PDC found and processed.
Show Source
-
Array of:
object ChangeSet
Status information for a single changeset.
Nested Schema : ChangeSet
Type:
objectStatus information for a single changeset.
Show Source
-
changeSetId: string
Identifies the changeset uniquely.Example:
3810 -
changeSetName: string
Specifies the changeset name.Example:
MIGRATION_CHANGESET_SYNC_EVENT -
changeSetStatus: string
Reports the changeset’s overall processing status.Example:
PENDING -
transformations: array
transformations
Provides status details for each transformation that PDC performed for the changeset.
Nested Schema : transformations
Type:
arrayProvides status details for each transformation that PDC performed for the changeset.
Show Source
-
Array of:
object Transformation
Status information for a changeset transformation job.
Nested Schema : Transformation
Type:
objectStatus information for a changeset transformation job.
Show Source
-
jobId: integer
Identifies the transformation job.Example:
14233 -
jobStatus: string
Reports the transformation job’s current status.Example:
DISPATCHED -
type: string
Specifies the target system or transformation type, such as ECE, BRE, or RRE.Example:
ECE
Examples
The following example shows how to get the status of change sets from an uploaded JSON report by submitting a POST request on the REST resource using cURL. For more information, see Use cURL.
curl -X POST 'http://hostname:port/pdc/changeset/status/from-json' -H 'Content-Type: application/json' -d @sampleRequest.json
The -d option specifies the sample request body file.
Example of Request Body
The following example shows the contents of the request body file.
{
"changeSetStatusReport": {
"warning": "Warning: The following ChangeSet IDs were invalid or not found: 100, 200, 300",
"changeSets": [
{
"changeSetId": "3810"
},
{
"changeSetId": "38810"
},
{
"changeSetId": "38910"
},
{
"changeSetId": "27973",
"changeSetName": "MIGRATION_CHANGESET_SYNC_SERVICE",
"changeSetStatus": "PENDING",
"transformations": [
{
"jobId": 32015,
"jobStatus": "DISPATCHED",
"type": "ECE"
}
]
}
]
}
}Example of Response Body
If successful, the response code 200 is returned along with a changeSetStatusReport in JSON format containing changeset IDs, names, statuses, transformation details, and any warnings:
{
"changeSetStatusReport": {
"changeSets": [
{
"changeSetId": "3810",
"changeSetName": "MIGRATION_CHANGESET_SYNC_EVENT",
"changeSetStatus": "PENDING",
"transformations": [
{
"jobId": 14233,
"jobStatus": "DISPATCHED",
"type": "ECE"
}
]
},
{
"changeSetId": "27973",
"changeSetName": "MIGRATION_CHANGESET_SYNC_SERVICE",
"changeSetStatus": "PENDING",
"transformations": [
{
"jobId": 32015,
"jobStatus": "DISPATCHED",
"type": "ECE"
}
]
}
],
"warning": "Warning: The following ChangeSet ID(s) were invalid or not found: 38810, 38910"
}
}